Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-14202

Camel 2's openapi-osgi example references camel-bundle-plugin 3.x

    XMLWordPrintable

Details

    • Bug
    • Status: Done
    • Critical
    • Resolution: Done
    • None
    • fuse-7.8-GA
    • Camel
    • build5

    Description

      he camel-example-openapi-osgi example is referencing a 3.x version of camel-bundle-plugin. For the ER6 build, this resolved to 3.3.0.fuse-jdk11-800001 version. This gets added to the offline manifest, causing download failures when a customer tries to build the offline repository as those artifacts are not publicly available.

      I guess we're just missing an explicit version for camel-bundle-plugin in the example's POM, or its parent.

      This affects Camel 2.21 and 2.23.

      Attachments

        Issue Links

          Activity

            People

              acosenti Andrea Cosentino
              dcoleman@redhat.com Darren Coleman
              Francesco Mongiardo Francesco Mongiardo
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: